Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.assembly
Class TwoStageMapBeanAssemblerFactory

    java.lang.Object
      org.mule.config.spring.parsers.assembly.TwoStageMapBeanAssemblerFactory

All Implemented Interfaces:
  BeanAssemblerFactory

    public class TwoStageMapBeanAssemblerFactory

extends Object
implements BeanAssemblerFactory

Nested Class Summary
`static interface` | `TwoStageMapBeanAssemblerFactory.BeanAssemblerStore`

Constructor Summary
`TwoStageMapBeanAssemblerFactory(TwoStageMapBeanAssemblerFactory.BeanAssemblerStore store)`

Method Summary
`BeanAssembler` | `newBeanAssembler(PropertyConfiguration beanConfig, org.springframework.beans.factory.support.BeanDefinitionBuilder bean, PropertyConfiguration targetConfig, org.springframework.beans.factory.config.BeanDefinition target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TwoStageMapBeanAssemblerFactory

    public TwoStageMapBeanAssemblerFactory(TwoStageMapBeanAssemblerFactory.BeanAssemblerStore store)

Method Detail

### newBeanAssembler

    public BeanAssembler newBeanAssembler(PropertyConfiguration beanConfig,
                                          org.springframework.beans.factory.support.BeanDefinitionBuilder bean,
                                          PropertyConfiguration targetConfig,
                                          org.springframework.beans.factory.config.BeanDefinition target)

  Specified by:
    `newBeanAssembler` in interface `BeanAssemblerFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.